Eclipse Platform Release 3.7

## org.eclipse.debug.ui.memory
Interface IMemoryRenderingContainer

    public interface IMemoryRenderingContainer

A memory rendering container is a container within a memory rendering site for hosting a memory renderings.

Clients hosting memory renderings may implement this interface.

Since:
  3.1

Method Summary
`void` `addMemoryRendering(IMemoryRendering rendering)` Adds the given rendering to this container.
`IMemoryRendering` `getActiveRendering()` Returns the active rendering in this container, or `null` if none.
`String` `getId()` Returns the identifier of this container.
`String` `getLabel()` Returns the label for this container.
`IMemoryRenderingSite` `getMemoryRenderingSite()` Returns the rendering site hosting this container.
`IMemoryRendering[]` `getRenderings()` Returns all renderings currently hosted by this container.
`void` `removeMemoryRendering(IMemoryRendering rendering)` Removes the given rendering from this container.

Method Detail

### getMemoryRenderingSite

    IMemoryRenderingSite getMemoryRenderingSite()

  Returns the rendering site hosting this container.

  Returns:
    the rendering site hosting this container

### getId

    String getId()

  Returns the identifier of this container. Identifiers are unique within a container.

  Returns:
    the identifier of this container

### addMemoryRendering

    void addMemoryRendering(IMemoryRendering rendering)

  Adds the given rendering to this container. A rendering must be initialized before it is added to a container. This causes the rendering's control to be created.

  Parameters:
    `rendering` - the rendering to add

### removeMemoryRendering

    void removeMemoryRendering(IMemoryRendering rendering)

  Removes the given rendering from this container. This causes the rendering to be disposed.

  Parameters:
    `rendering` - the rendering to remove

### getRenderings

    IMemoryRendering[] getRenderings()

  Returns all renderings currently hosted by this container.

  Returns:
    all renderings currently hosted by this container

### getActiveRendering

    IMemoryRendering getActiveRendering()

  Returns the active rendering in this container, or `null` if none.

  Returns:
    the active rendering in this container, or `null` if none

### getLabel

    String getLabel()

  Returns the label for this container.

  Returns:
    the label for this container

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.